diff --git a/pki/base/util/src/netscape/security/x509/LdapV3DNStrConverter.java b/pki/base/util/src/netscape/security/x509/LdapV3DNStrConverter.java
index fd6e15bfb95c55469076af7c305ddf6bcdfcbcc4..52ff67017e7661e4a8e966e10234d1c48a5a30eb 100644
--- a/pki/base/util/src/netscape/security/x509/LdapV3DNStrConverter.java
+++ b/pki/base/util/src/netscape/security/x509/LdapV3DNStrConverter.java
@@ -134,8 +134,6 @@ public class LdapV3DNStrConverter extends LdapDNStrConverter {
             throws IOException {
         StringReader rdn_reader = new StringReader(rdn);
         PushbackReader in = new PushbackReader(rdn_reader, 5);
-        Vector<AVA> avaVector = new Vector<AVA>();
-        AVA[] assertion;
 
         return parseRDN(in, null);
     }
@@ -649,7 +647,7 @@ public class LdapV3DNStrConverter extends LdapDNStrConverter {
          * production as practical.
          */
         StringBuffer retval = new StringBuffer(30);
-        int i, j;
+        int i;
         String temp = null;
         AVAValueConverter valueConverter;
 
diff --git a/pki/base/util/src/netscape/security/x509/RDN.java b/pki/base/util/src/netscape/security/x509/RDN.java
index 79e494638e72937736b7ad2eb9b7c6260cae06c5..c5e8765a06e8d81e9c5e6f4a91f3ebf980d32b3c 100644
--- a/pki/base/util/src/netscape/security/x509/RDN.java
+++ b/pki/base/util/src/netscape/security/x509/RDN.java
@@ -193,7 +193,6 @@ public class RDN {
         }
 
         public AVA nextElement() {
-            AVA ava = null;
             if (index >= assertion.length)
                 return null;
             return assertion[index++];
diff --git a/pki/base/util/src/netscape/security/x509/X509Cert.java b/pki/base/util/src/netscape/security/x509/X509Cert.java
index b524f779bd68be10e18b1928e61ea689a45674c7..9ab7ba75431446f8607f7106a3610806acc60bb9 100644
--- a/pki/base/util/src/netscape/security/x509/X509Cert.java
+++ b/pki/base/util/src/netscape/security/x509/X509Cert.java
@@ -444,7 +444,6 @@ public class X509Cert implements Certificate, Serializable {
      */
     public Signature getVerifier(String algorithm)
             throws NoSuchAlgorithmException, InvalidKeyException {
-        String algName;
         Signature sig;
 
         sig = Signature.getInstance(algorithm);
-- 
1.7.7.4

